@font-face {
	font-family: 'CrimsonPro';
	src: url('../fonts/CrimsonPro-VariableFont_wght.ttf') format('truetype');
	font-style: normal;
	font-weight: 100 900;
}

@font-face {
	font-family: 'CrimsonPro';
	src: url('../fonts/CrimsonPro-Italic-VariableFont_wght.ttf') format('truetype');
	font-style: italic;
	font-weight: 100 900;
}

@font-face {
	font-family: 'Inter';
	src: url('../fonts/Inter-VariableFont_opsz,wght.ttf') format('truetype');
	font-style: normal;
	font-weight: 100 900;
}

@font-face {
	font-family: 'Inter';
	src: url('../fonts/Inter-Italic-VariableFont_opsz,wght.ttf') format('truetype');
	font-style: italic;
    font-weight: 100 900;
}


@font-face {
	font-family: Maths;
	font-style: italic;
	font-weight: normal;
	src: url(../fonts/cmunti.otf);
}

@font-face {
	font-family: Maths;
	font-style: normal;
	font-weight: normal;
	src: url(../fonts/cmunui.otf);
}

@font-face {
	font-family: latin-modern-maths;
	font-style: normal;
	font-weight: normal;
	src: url(../fonts/latinmodern-math.otf);
}

/*-------------------------------------------------
    Utility styles
--------------------------------------------------*/

:root {
	--orca-white-0: #f7f7f7;
	--orca-white-1: #fafafa;
	--orca-white-2: #fdfdfd;

	--orca-black: #141414;
	--color-dim: #6b6b6b;

	--mw-site: min(900px, 100vw);

	--f-body-text: CrimsonPro;
	--f-size-body-text: 18px;
	--f-logo: CrimsonPro;
	--f-title: Inter;
	--f-weight-title: 900;
}

.mw-site {
	max-width: var(--mw-site);
}

.m-auto {
    margin: auto;
}

.bg-orca-white {
	background-color: var(--orca-white-0);
}

.c-orca-white {
	color: var(--orca-white-0);
}

.c-orca-black {
    color: var(--orca-black);
}

.c-dim {
	color: var(--color-dim);
}

.shadow {
	box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
}

.text-shadow {
	text-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
}

.bg-valid {
    background-color: #089404;
}

.bg-fail {
    background-color: #f0a000;
}

/*-------------------------------------------------
	Body and misc styles
--------------------------------------------------*/

body {
	font-family: var(--f-body-text);
	font-size: var(--f-size-body-text);
	background-position: center top;
	background-repeat: no-repeat;
	min-height: 100vh;
}

body a {
    text-decoration: none;
}

h1, h2, h3, h4, h5, h6 {
	font-family: var(--f-title);
	font-weight: var(--f-weight-title);

    padding-top: 0.5em;
	margin: 0;
}

h2 {
    padding-top: 0.5em;
}


#page {
    flex: 1;
}

/*-------------------------------------------------
	Banner
--------------------------------------------------*/

#banner {
	background-image: url("../img/underwater.jpg");
	background-color: #0a1f48;
	background-position: center 10%;
	background-repeat: no-repeat;
}

#banner-center {
    width: 100%;
    max-width: var(--mw-site);
    margin: auto;

    padding-top: 30px;

	color: var(--orca-white-0);
    text-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);

    font-family: var(--f-logo);
    font-style: italic;
}

#logo img {
    width: 8rem;
    display:inline-block;
    padding-top: 1rem;
}

#banner a {
    color: var(--orca-white-0);
    text-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
}

#banner #orca {
    width: 8rem;
    text-align: center;
    font-size: 2.5rem;
    font-weight: 700;
    display: inline-block;
}

#tagline {
    width: calc(100% - 6rem);
    text-align: right;
    vertical-align: center;
    padding-top: 2rem;
}

#tagline #title {
    font-size: 2rem;
    font-weight: 900;
}

#tagline #subtitle {
    font-size: 1.3rem;
    font-weight: 600;
}
/*-------------------------------------------------
	Subscribe
--------------------------------------------------*/
.subscribe-form .email {
    font-size: 16px;
}

.subscribe-form .button-subscribe {
    font-size: 16px;
}

.subscribe-form .button-loading {
    font-size: 16px;
}

.subscribe-form .button-loading .loader {
  border: 2px solid #ffffff; /* white */
  border-top: 2px solid  #000000; /*  grey */
  border-radius: 50%;
  width: 1em;
  height: 1em;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/*-------------------------------------------------
	Menu
--------------------------------------------------*/

#menu-bar {
    background-color: var(--orca-black);
}

#menu-bar-center {
    width: 100%;
    max-width: var(--mw-site);
    margin: auto;
}

#menu a {
    display: inline-block;
    color: var(--orca-white-0);
    font-family: var(--f-logo);
}

/*-------------------------------------------------
	Contents / Posts
--------------------------------------------------*/

#contents {
    width: 100%;
    max-width: var(--mw-site);
    margin: auto;

    padding-top: 20px;
    padding-bottom: 60px;
}

#posts a {
    color: var(--orca-black);
}

#posts {
    --card-gap: 15px;
    gap: var(--card-gap);
}

#posts .card {

    background-color: var(--orca-white-1);
	box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
    border-radius: 0.5rem;
    width: 100%;
    padding: 20px;
}

#posts .card:hover {
    background-color: var(--orca-white-2);
}

@media screen and (min-width: 30em){
    #posts .card {
        width: calc(25% - 0.75 * var(--card-gap));
        padding: 20px;
    }
}

#posts a {
    display: contents;
    color: var(--orca-black);
}

/*-------------------------------------------------
	Post contents
--------------------------------------------------*/

video
{
	max-width:100%;
}

.eqnos { display: inline-block; position: relative; width: 100%; }
.eqnos br { display: none; }
.eqnos-number { position: absolute; right: 0em; top: 50%; line-height: 0; }

figure
{
    padding-top: 1em;
    padding-bottom: 1em;
    text-align: center;
}

figcaption
{
    text-align: center;
}

pre
{
	background-color: #CCCCCC;
	padding-top: 10px;
	padding-bottom: 10px;
	padding-left: 10px;
	padding-right: 10px;
	overflow: auto;
}

code
{
	font-family: Courier;
	font-size: 11pt;
}

pre code
{
	font-family: Courier;
	font-size: 11pt;
	white-space: pre;
}

a
{
	font-weight: bold;
	text-decoration: none;
	color: #6895e3;
}

a h1,
a h2,
a h3,
a h4,
a h5,
a h6
{
    color: var(--orca-black);
}

a:hover
{
    font-weight : bold;
    color: #3465bb;
}

a.plain-link
{
	color: inherit;
	font-weight: inherit;
	text-decoration: none;
}

.md-content {
	line-height: 1.4;
}

.md-content > :first-child {
	margin-top: 0;
}

.md-content > :last-child {
	margin-bottom: 0;
}

.md-content h1,
.md-content h2,
.md-content h3,
.md-content h4,
.md-content h5,
.md-content h6
{
	margin-top: 1rem;
	margin-bottom: 1rem;
}

.md-content ol,
.md-content ul
{
	padding-left: 1.4em;
}

.md-content li {
	margin-top: 0.4em;
	margin-bottom: 0.4em;
}


/*-------------------------------------------------
	Footer
--------------------------------------------------*/

footer {
	background: var(--orca-black);
	color: var(--orca-white-0);
}

footer a {
    color: var(--orca-white-0);
}

#orca-logo {
	width: 10rem;
	padding-right: 20px;
}
